# Reject\[A: [Any](builtin-Any) #share\]
<span class="source-link">[[Source]](src/promises/fulfill.md#L10)</span>

A function on A that is called when a promise is rejected.


```pony
interface iso Reject[A: Any #share]
```

## Public Functions

### apply
<span class="source-link">[[Source]](src/promises/fulfill.md#L14)</span>


```pony
fun ref apply()
: A ?
```

#### Returns

* A ?

---

